PredicateLeaf.Type (Hive Storage API 2.1.1-pre-orc API)
Date: 2016-10-19

org.apache.hadoop.hive.ql.io.sarg

## Enum PredicateLeaf.Type

- java.lang.Object
- - java.lang.Enum<PredicateLeaf.Type>
  - - org.apache.hadoop.hive.ql.io.sarg.PredicateLeaf.Type

- All Implemented Interfaces:
    Serializable, Comparable<PredicateLeaf.Type>
  Enclosing interface:
    PredicateLeaf

      public static enum PredicateLeaf.Type
      extends Enum<PredicateLeaf.Type>

  The possible types for sargs.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN`
    `DATE`
    `DECIMAL`
    `FLOAT`
    `LONG`
    `STRING`
    `TIMESTAMP`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class` | `getValueClass()` For all SARG leaves, the values must be the matching class.
    `static PredicateLeaf.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PredicateLeaf.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LONG

          public static final PredicateLeaf.Type LONG

    - #### FLOAT

          public static final PredicateLeaf.Type FLOAT

    - #### STRING

          public static final PredicateLeaf.Type STRING

    - #### DATE

          public static final PredicateLeaf.Type DATE

    - #### DECIMAL

          public static final PredicateLeaf.Type DECIMAL

    - #### TIMESTAMP

          public static final PredicateLeaf.Type TIMESTAMP

    - #### BOOLEAN

          public static final PredicateLeaf.Type BOOLEAN

  - ### Method Detail

    - #### values

          public static PredicateLeaf.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PredicateLeaf.Type c : PredicateLeaf.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PredicateLeaf.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValueClass

          public Class getValueClass()

      For all SARG leaves, the values must be the matching class.
      Returns:
        the value class

Copyright © 2016 The Apache Software Foundation. All rights reserved.